cURL
curl --request GET \
--url https://{projectHost}/collections \
--header 'x-api-key: <api-key>'import requests
url = "https://{projectHost}/collections"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://{projectHost}/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collections": [
{
"projectName": "example-project-name",
"collectionName": "example-collection-name",
"indexConfigs": {
"example-field1": {
"type": "text",
"analyzers": [
"standard"
]
},
"example-field2": {
"type": "vector",
"dimensions": 128,
"similarity": "cosine"
}
},
"numDocs": 10000,
"collectionStatus": "ACTIVE"
}
]
}Collections
List collections
List all collections in an existing project.
GET
/
collections
cURL
Authorizations
Project API Key.
Query Parameters
Max number of collections to return at once.
Required range:
1 <= x <= 100Next page token.
Was this page helpful?
⌘I